개발환경 - 글조회

개발자용 개발환경(Implementation Tool) Full Version 2.6.0 상세보기 (조회된 글의 제목,작성자,작성일,조회,첨부파일, 내용의 정보를 제공하는 표입니다.)
제목 개발자용 개발환경(Implementation Tool) Full Version 2.6.0
작성자 관리자 작성일 2013-06-04 조회 52061
첨부파일
[구성]
개발자용 개발환경(Implementation Tool) Full Version은 개발자의 코드 작성을 지원하는 도구로써, eGovFrame기반의 어플리케이션 개발을 지원하는 IDE와 Editor(SourceCode, UML, ERD, DBIO, WebFlow, Code Generation, Code Inspection, 공통컴포넌트 생성, 맞춤형 개발환경, Nexus, SVN)와 Debug(Local, Remote), Mobile IDE, Batch IDE, RDT로 구성되어 있습니다.
[개선 기능]
- 이클립스 버전 업그레이드(Juno SR1 -> Juno SR2)
- 배치 개발환경 영문 메시지 추가
- 배치 운영환경 DDL 수정(FILE_CN : BLOB => CLOB)
- Amateras UML 버전 업그레이드(1.3.2 -> 1.3.4) : JDK 1.7에서 UML 저장 오류 수정
- 표준프레임워크 플러그인 설치시 배치 플러그인 라이선스 미표시 수정
- 템플릿 소스 수정 : 엔터프라이즈 EgovNoticeInqire.jsp
- eGovFrame Mobile Project Example DB 방식 변경 (embedded hsql)
- eGovFrame Web Project example DB 방식 변경 (embedded hsql)
- 공통컴포넌트 / 모바일 공통컴포넌트 마법사 기능 추가 : 마법사 기능을 이용해서 cubrid 생성시 오류 수정
- 개발환경 템플릿 JDK 버전 변경(1.5 -> 1.6)
- splash 이미지 변경(2.5 -> 2.6)
[설치방법]
개발환경을 구성할 디렉토리에 eGovFrameDev-2.6.0-FullVer.zip의 압축을 풀어 eclipse를 실행하면 개발환경 필수요소와 선택요소가 모두 설치되어있는 개발환경을 사용할 수 있습니다.
[추가사항1]eclipse 실행 후 Failed to create the Java Virtual Machine 오류 발생 시, eclipse 설치 경로 > eclipse.ini 파일에 사용자 PC의 JDK 설치 경로를 다음과 같이 추가합니다.
(JDK는 1.6 버전을 권장한다. 1.5버전에서는 JSP Editor가 제대로 동작하지 않을 수 있음)
(예시)
openFile
-vm
C:\Program Files\Java\jdk1.6.0_47\bin\javaw.exe
-vmargs
-Dosgi.requiredJavaVersion=1.6
-Xms40m
-Xmx712m
-Dfile.encoding=UTF-8
[추가사항2]템플릿 생성 위저드를 이용하여 프로젝트 생성시 일부 DML파일의 한글깨짐 현상이 발생 할 수 있습니다. 위와 같은 문제 발생시 해당 DML파일의 encoding형식을 UTF-8에서 EUC-KR로 바꾸게 되면 정상적으로 사용 할 수있습니다.